# Ejemplo 6: navbarPage()

library(shiny)

# Define UI for application that draws a histogram
ui <- navbarPage(
    title = "Old Faithful Geyser Data",

        tabPanel("Primera pestaña",
                 # Sidebar with a slider input for number of bins 
                 sidebarLayout(
                     sidebarPanel(
                         sliderInput("bins",
                                     "Number of bins:",
                                     min = 1,
                                     max = 50,
                                     value = 30)
                     ),
                     
                     # Show a plot of the generated distribution
                     mainPanel(
                         plotOutput("distPlot")
                     )
                 )
        ),
        tabPanel("Segunda pestaña",
                 plotOutput("plot2")
        ),
        navbarMenu("Subpanel",
                   tabPanel("Sub1"),
                   tabPanel("Sub2"))
)

# Define server logic required to draw a histogram
server <- function(input, output) {
    
    output$distPlot <- renderPlot({
        # generate bins based on input$bins from ui.R
        x    <- faithful[, 2]
        bins <- seq(min(x), max(x), length.out = input$bins + 1)
        
        # draw the histogram with the specified number of bins
        hist(x, breaks = bins, col = 'darkgray', border = 'white')
    })
    
    output$plot2 <- renderPlot({
        plot(faithful)
    })
}

# Run the application 
shinyApp(ui = ui, server = server)
